scilab (2024.1.0+dfsg-7ubuntu1) questing; urgency=medium

  * Stick with gcc-14 for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Aug 2025 13:27:35 +0200

scilab (2024.1.0+dfsg-7) unstable; urgency=medium

  * Patching code again for libxml2/2.14.5 (Closes: #1106630)
  * Patching ocamlopt invocations to build against ocaml-nul/1.6-1
    (Closes: #1111281)
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Mon, 18 Aug 2025 14:46:07 +0200

scilab (2024.1.0+dfsg-6) unstable; urgency=medium

  * Skipping libxml2 patch until version 2.12.7 enters Debian/unstable again
    (Closes: #1084378)
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Tue, 08 Oct 2024 22:13:28 +0200

scilab (2024.1.0+dfsg-5) unstable; urgency=medium

  * Team upload
  * Drop macOS-only JFXScilabFileChooser
  * Drop javafx jars from classpath

 -- Bastian Germann <bage@debian.org>  Fri, 13 Sep 2024 16:42:37 +0200

scilab (2024.1.0+dfsg-4) unstable; urgency=medium

  * Enhancing CPPFLAGS to build against HDF5/1.14, thanks to Gilles Filippini

 -- Pierre Gruet <pgt@debian.org>  Fri, 16 Aug 2024 11:54:37 +0200

scilab (2024.1.0+dfsg-3) unstable; urgency=medium

  * Fixing more GCC 14 issues (Closes: #1077424)

 -- Pierre Gruet <pgt@debian.org>  Tue, 06 Aug 2024 11:12:25 +0200

scilab (2024.1.0+dfsg-2) unstable; urgency=medium

  * Building against GCC 14 (Closes: #1075494)

 -- Pierre Gruet <pgt@debian.org>  Thu, 11 Jul 2024 23:23:11 +0200

scilab (2024.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.1.0+dfsg
  * Refreshing patches
  * Solving FTBFS against libxml2/2.12.7+dfsg
  * Skipping the check of the installed version of flexdock when configuring
  * Adding a Lintian override for a file with very long lines
  * Fixing obsolete Lintian override for 'tright' spelling error

 -- Pierre Gruet <pgt@debian.org>  Tue, 04 Jun 2024 00:05:38 +0200

scilab (2024.0.0+dfsg-6) unstable; urgency=medium

  * Raising Standards version to 4.7.0 (no change)
  * Solving implicit declarations (Closes: #1066681)
  * Fixing missing fields in metainfo.xml files

 -- Pierre Gruet <pgt@debian.org>  Mon, 08 Apr 2024 21:48:24 +0200

scilab (2024.0.0+dfsg-5) unstable; urgency=medium

  * Adding a NEWS.debian file in scilab to inform user they might have to
    remove their $HOME/.Scilab directory after the upgrade
  * Excluding s390x from the autopkgtest architectures because of jogl2 issues
    there

 -- Pierre Gruet <pgt@debian.org>  Mon, 27 Nov 2023 21:49:09 +0100

scilab (2024.0.0+dfsg-4) unstable; urgency=medium

  * Fixing the overrides of dh_install and dh_fixperms in -arch and -indep ways
    to reintroduce the changes removed since 2024.0.0+dfsg-2

 -- Pierre Gruet <pgt@debian.org>  Mon, 27 Nov 2023 06:57:20 +0100

scilab (2024.0.0+dfsg-3) unstable; urgency=medium

  * Omitting the override of dh_fixperms as it fails on buildds, not on
    porterboxes.

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Nov 2023 18:49:40 +0100

scilab (2024.0.0+dfsg-2) unstable; urgency=medium

  * Omitting the conversion from ISO_8859 to UTF-8 as it fails on buildds, yet
    not on porterboxes.

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Nov 2023 14:33:37 +0100

scilab (2024.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.0.0+dfsg:
    - Refreshing patches
    - Refreshing the list of files to install in the binary packages
    - Using Debian-packaged jars that are needed by new upstream version
  * debian/rules:
    - Updating the dh_clean rule
    - Enabling dh_dwz again
    - Hiding the build path from the shipped files
    - Ruling out national encoding by converting to UTF-8
    - Honouring DEB_BUILD_OPTIONS=nodoc
  * debian/control:
    - Refreshing (build-)dependencies
    - Removing the alternative B-D on atlas, as it will get removed soon
    - Removing unneeded versioned build-dependency
  * Adding autopkgtests
  * Refreshing d/copyright in a simple version, preparing a shell script for
    possible deeper listing
  * Installing (private) shared libraries in architecture-specific locations
  * Adding XML_CFLAGS to CPPFLAGS for the webtools shared library
  * Excluding .bat and .vcxproj files when repacking
  * Altering build flags to conform to Debian standards for hardening and
    generating debug symbols
  * Adding missing exec codes in .desktop files
  * Providing .metainfo files along the .desktop ones, dropping .appdata.xml
    file
  * Correcting minor spelling mistakes and adding a Lintian overrides for
    false positives it raises
  * Lintian overrides:
    - Removing an obsolete Lintian override for the source package
    - Adding and explaining some Lintian overrides:
      + text files outside of /usr/share/doc
      + unnecessary triggered activation of ldconfig
      + hardening
      + shared libraries lacking prerequisites
      + bad jar name

 -- Pierre Gruet <pgt@debian.org>  Sat, 25 Nov 2023 21:16:10 +0100

scilab (6.1.1+dfsg2-10) unstable; urgency=medium

  * Fixing the clean target (Closes: #1046942)
  * Putting unversioned symlinks to the versioned lucene8 jars in the
    classpath (Closes: #1054551)

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Nov 2023 17:38:00 +0100

scilab (6.1.1+dfsg2-9) unstable; urgency=medium

  * Reworking the pcre3_to_pcre2 patch so that users can provide patterns with
    delimiters and modifiers again
  * Removing the d/NEWS file as there is no more information to provide about
    changes in the regex pattern syntax

 -- Pierre Gruet <pgt@debian.org>  Tue, 25 Jul 2023 21:46:18 +0200

scilab (6.1.1+dfsg2-8) unstable; urgency=medium

  * Using pcre2 instead of obsolete pcre3 (Closes: #999966)
  * Providing a debian/NEWS file to let users know about the changes in regex
    handling in scilab.
  * Correcting some unmatched/obsolete Lintian overrides
  * Trim trailing whitespace.

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jul 2023 10:27:50 +0200

scilab (6.1.1+dfsg2-7) unstable; urgency=medium

  * Building for Architecture: any as Bug #550243 should not show up now
  * Rewriting d/watch and d/u/metadata for the new Scilab repository on Gitlab

 -- Pierre Gruet <pgt@debian.org>  Thu, 22 Jun 2023 17:23:57 +0200

scilab (6.1.1+dfsg2-7~exp0) experimental; urgency=medium

  * debian/control:
    - Removing unneeded build-dependencies
    - Sorting and aligning dependencies in debian/control
    - Removing obsolete packages from Depends, Recommends and Suggests fields
      in debian/control
    - Depending on libeclipse-jdt-core-java instead of old libecj-java
    - Build-depending on libgl-dev instead of obsolete libgl1-mesa-dev
  * Bash completion files:
    - Removing legacy conffile in /etc/bash_completion.d using maintscripts
    - Installing the bash-completion file through dh_bash-completion
    - Correcting the syntax of bash complete with -o flag
  * Depending on lucene8 instead of lucene4.10
  * Setting the classpath of the built jar properly
  * Adding a Lintian override for an innocuous file with very-long-lines
  * Update Lintian override info to new format:
    - debian/scilab-minimal-bin.lintian-overrides: line 2
    - debian/scilab-full-bin.lintian-overrides: line 2

 -- Pierre Gruet <pgt@debian.org>  Sat, 27 May 2023 07:41:39 +0200

scilab (6.1.1+dfsg2-6) unstable; urgency=medium

  * Adding another --add-opens clause to the scilab invocation to avoid the
    Exception at GUI start (Closes: #1033496)
  * Adding myself as uploader

 -- Pierre Gruet <pgt@debian.org>  Sat, 06 May 2023 14:01:56 +0200

scilab (6.1.1+dfsg2-6~exp1) experimental; urgency=medium

  * Adding a binNMUable versioned dependency of scilab on scilab-full-bin

 -- Pierre Gruet <pgt@debian.org>  Sun, 23 Apr 2023 10:42:22 +0200

scilab (6.1.1+dfsg2-6~exp0) experimental; urgency=medium

  * Team upload
  * Rebuild against libjogl2-java version 2.4.0+dfsg, which changed the name of
    the .so file shipped in libjogl2-jni
  * Removing the unneeded build-dependency on dpkg-dev
  * Adding one more --add-opens in the invocation to work with openjdk-17

 -- Pierre Gruet <pgt@debian.org>  Sat, 22 Apr 2023 17:53:23 +0200

scilab (6.1.1+dfsg2-5) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.2 (no change)
  * Adding missing dependencies on libfreehep-graphicsio-java and
    libfreehep-util-java
  * Fixing the FTBFS occurring during the doc build
  * Enabling starting with OpenJDK 17 (Closes: #1012099)
  * Selecting unversioned jars instead of versioned ones in the configure phase
    (Closes: #1030205)
  * Refreshing patches
  * Removing unneeded older-than versioned dependencies
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2, 4
    + debian/scilab-minimal-bin.lintian-overrides: line 4
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository-Browse.
  * Fix day-of-week for changelog entry 5.0.3-1.

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Mar 2023 16:23:07 +0100

scilab (6.1.1+dfsg2-4) unstable; urgency=medium

  * Add patch to disambiguate pause (Closes: #1017283).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Aug 2022 11:55:44 +0200

scilab (6.1.1+dfsg2-3) unstable; urgency=medium

  * Bump standards-version to 4.6.0.
  * Fix d/watch.
  * Fix a lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 11 Nov 2021 16:32:02 +0100

scilab (6.1.1+dfsg2-2) unstable; urgency=medium

  [ Gilles Filippini ]
  * New patch hdf5-1.10.7.patch to disable H5_NO_DEPRECATED_SYMBOLS which
    causes FTBFS against HDF5 1.10.7 (Closes: #994109)

  [ Julien Puydt ]
  * Document where each patch has been forwarded upstream.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Sep 2021 16:08:00 +0200

scilab (6.1.1+dfsg2-1) unstable; urgency=medium

  * Drop even more files from upstream's archive (now dfsg2),
    and document it in d/copyright.
  * New upstream release 6.1.1.
  * Document the manual pages have been forwarded upstream.
  * Refresh patches, drop two now useless.
  * Add find_external_libintl_jar.patch since the tarball doesn't
    have that file anymore.
  * Add patch from S.Glondu for OCaml 4.11.
  * Drop around_atlas_947827.patch (bug closed).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 10 Sep 2021 07:02:44 +0200

scilab (6.1.0+dfsg1-7) unstable; urgency=medium

  [ Sébastien Villemot ]
  * libmatio-1.5.18.patch: new patch, fixes FTBFS against libmatio ≥ 1.5.18.
    By the way, also tighten versioned Build-Depends on libmatio.
    (Closes: #971902)

  [ Julien Puydt ]
  * Forward the libmatio-1.5.18 patch to upstream.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 21 Nov 2020 11:42:41 +0100

scilab (6.1.0+dfsg1-6) unstable; urgency=medium

  * Fix desktop-related files' choice of package. (Closes: #967078)
  * Better document patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Aug 2020 21:08:07 +0200

scilab (6.1.0+dfsg1-5) unstable; urgency=medium

  * Add patch to fix gcc 10 compilation. (Closes: #957782)
  * Bump dh compat to level 13.
  * Update team mailing list address.
  * Declare d/rules doesn't require root.
  * Add b-dep on libfreehep-graphicsio-java and libfreehep-util-java.
  * Install more desktop-related files (appdata, icons...).
  * Add empty override_dh_dwz to work around #965372.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Aug 2020 18:16:26 +0200

scilab (6.1.0+dfsg1-4) unstable; urgency=high

  * Team upload.

  [ Olivier Tilloy ]
  * Update runtime dependency on the transitional dummy ttf-dejavu-core
    (which was dropped from unstable) to fonts-dejavu-core (Closes: #962198)
    - debian/control
    - debian/patches/use_outside_font.patch

  [ Boyuan Yang ]
  * Pick upstream downstream Ubuntu's patch on fixing FTBFS with
    newer libicu. (Closes: #962555)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 15:37:29 -0400

scilab (6.1.0+dfsg1-3) unstable; urgency=medium

  * Update the addLibraryPath patch so it works with
  both openjdk 11.0.6 and 11.0.7.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 May 2020 16:41:33 +0200

scilab (6.1.0+dfsg1-2) unstable; urgency=medium

  * Add new patch to avoid FTBFS with newer libxml2 (Closes: #949494).
  * Make the classpath less sensible to version changes (Closes: #892254).
  * Add new patch from Gilles Filippini to fix NullPointerException with
    openjdk >= 11.0.7-9 (Closes: #955694, #956908).
  * Add patch to the appdata file so it points to the right desktop file.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Apr 2020 10:41:11 +0200

scilab (6.1.0+dfsg1-1) unstable; urgency=medium

  * Package new upstream release 6.1.0.
  * Refresh all patches, dropping only the spelling one.
  * Switch from d/compat to dh-compat, and level 12.
  * Bump std-vers to 4.5.0.
  * Make sure files new in this release get installed.
  * Rewrite d/copyright, hence going to +dfsg1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Mar 2020 17:03:05 +0100

scilab (6.0.2-1) unstable; urgency=medium

  * Fix d/watch (upstream changed the webpage => use github!)
  * Bump std-ver to 4.4.1.
  * Package new upstream.
  * Work on patches:
    - adddemo.diff: follow path changes.
    - appstream.patch: drop, now upstream.
    - desktop_files.patch: drop, now upstream.
    - fix_fortran_code.patch: drop, now upstream.
    - fix-ocaml-4.05.patch: drop, upstream changes fix the same issue.
    - librarypath.diff: drop, upstream changes fix the same issue.
    - jh.diff: follow path changes.
    - missing-lib.diff: follow path changes.
    - jvm-archdir-ppc64le.diff: drop, upstream.
    - libjogl2-java-2.3.2.diff: follow path changes, refresh, complete.
    - hdf5-1.10-api.patch: drop, upstream changes fix the same issue.
    - gcc-7.patch: drop, upstream.
    - lucene_4.10.patch: drop, upstream changes fix the same issue.
    - spelling.patch: refresh (most problems have been fixed upstream).
    - no_homedir.patch: drop, upstream.
    - reproducible_build.patch: follow path changes.
    - scicos_Makefile.patch: drop.
    - java_9.patch: follow path changes, refresh, complete.
    - force_java_home.patch: follow path changes, refresh.
    - set_class_path.patch: follow path changes, refresh.
    - use_outside_font.patch: follow path changes.
    - java11-compatibility.patch: follow path changes.
    - force-fop-jar-into-classpath.patch: follow path changes.
  * Make debian/rules find the sources.
  * Add new patch lucene4.10.patch.
  * Add time as build-dep.
  * Fix install target.
  * Fix desktop files paths.
  * Fix doc files paths.
  * Clean more files from the packages.
  * Remove obsolete lintian override.
  * Add depend on libnum-ocaml-dev (Closes: #934047).
  * Add patch to get around Debian's ATLAS #947827.
  * Add patch to work with more recent OCaml versions.
  * Fix spelling mistakes (update spelling.patch).
  * Add find_libs.patch so scilab actually finds its libs.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Jan 2020 10:05:22 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog scilab-minimal-bin`.
